package com.glxp.udi.admin.controller.udidl;

import com.glxp.udi.admin.annotation.AuthRuleAnnotation;
import com.glxp.udi.admin.req.feign.JobLogFilterRequest;
import com.glxp.udi.admin.service.udidl.UdidlService;
import com.glxp.udi.common.res.BaseResponse;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("/jobLog")
public class JobLogController {
    @Resource
    UdidlService udidlService;

    @AuthRuleAnnotation("")
    @PostMapping("/list")
    public BaseResponse getList(@RequestBody JobLogFilterRequest jobLogFilterRequest){
        return udidlService.jobLog_getList(jobLogFilterRequest);
    }
}
