package com.glxp.udi.admin.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
@Data
public class GlobalConfig {
    @Value("${UDI_SERVER.url}")
    private String UDI_SERVER_URL;
    @Value("${UDI_SERVER.connectTimeout}")
    private int UDI_SERVER_ConnectTimeout;
    @Value("${UDI_SERVER.readTimeout}")
    private int UDI_SERVER_ReadTimeout;
    @Value("${UDI_SERVER.followRedirects}")
    private boolean UDI_SERVER_FollowRedirects;
    @Value("${UDI_SERVER.key}")
    private String UDI_SERVER_Key;
}
