package com.glxp.udi.admin.controller.udidl;

import com.glxp.udi.admin.annotation.AuthRuleAnnotation;
import com.glxp.udi.admin.req.feign.BaseParam;
import com.glxp.udi.admin.service.udidl.UdidlService;
import com.glxp.udi.admin.service.udidl.UdidlServiceRun;
import com.glxp.udi.common.res.BaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;

@RestController
public class UdplatHospitalController {
    @Resource
    UdidlService udidlService;
    @Autowired
    UdidlServiceRun udidlServiceRun;

    @AuthRuleAnnotation("")
    @PostMapping("udplat/hospital/list")
    public BaseResponse getList(@RequestBody BaseParam param){
        return udidlService.udplatHospital_getList(param);
    }
    @AuthRuleAnnotation("")
    @GetMapping("udplat/hospital/export")
    public void export(HttpServletResponse response){
        udidlServiceRun.udplatHospital_export(response);
    }
}
