package com.glxp.udi.admin.controller.udidl;

import com.glxp.udi.admin.annotation.AuthRuleAnnotation;
import com.glxp.udi.admin.req.feign.BaseParam;
import com.glxp.udi.admin.req.feign.JobLogFilterRequest;
import com.glxp.udi.admin.service.udidl.UdidlService;
import com.glxp.udi.common.res.BaseResponse;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
public class UdplatLogController {
    @Resource
    UdidlService udidlService;

    @AuthRuleAnnotation("")
    @PostMapping("udplat/log/list")
    public BaseResponse getList(@RequestBody JobLogFilterRequest param){
        return udidlService.udplatLog_getList(param);
    }
    @AuthRuleAnnotation("")
    @PostMapping("udplat/log/udplatSync")
    public BaseResponse udplatSync(String tbName){
        return udidlService.udplatLog_udplatSync(tbName);
    }
}
